parameters:
    bd_guzzle_site_authenticator.site_config: []

services:
    bd_guzzle_site_authenticator.authenticator_subscriber:
        class: BD\GuzzleSiteAuthenticator\Guzzle\AuthenticatorSubscriber
        arguments:
            - "@bd_guzzle_site_authenticator.site_config_builder"
            - "@bd_guzzle_site_authenticator.authenticator_factory"

    bd_guzzle_site_authenticator.authenticator_factory:
        class: BD\GuzzleSiteAuthenticator\Authenticator\Factory

    bd_guzzle_site_authenticator.site_config_builder:
        alias: bd_guzzle_site_authenticator.site_config_builder.array

    bd_guzzle_site_authenticator.site_config_builder.array:
        class: BD\GuzzleSiteAuthenticator\SiteConfig\ArraySiteConfigBuilder
        arguments:
            - "%bd_guzzle_site_authenticator.site_config%"
